#ifndef BLACK_LIST_H
#define BLACK_LIST_H

#include "list.h"
typedef struct list_head black_list_t;

#include "ifw.h"

typedef struct {
    struct list_head list;
    msg_usr_t info;
}  black_list_cell_t;

void black_list_init(black_list_t *list);
void black_list_add(black_list_t *list, msg_usr_t *attack);
black_list_cell_t *black_list_find(black_list_t *list, u_int32_t addr);
void black_list_remove(black_list_t *list, u_int32_t addr);
void black_list_print(black_list_t *list);

#endif /* BLACK_LIST_H */
